Subject: [PATCH v2] arm64: pci: add support for pci_mmap_page_range

From: [email-masked] (Jerin Jacob)
Date: Mon, 18 Apr 2016 23:15:36 +0530

On Mon, Apr 18, 2016 at 04:40:14PM +0100, Will Deacon wrote:
> On Mon, Apr 18, 2016 at 05:31:14PM +0200, Arnd Bergmann wrote:
> > On Monday 18 April 2016 20:51:27 Jerin Jacob wrote:
> > > 
> > > Why only to disable mmap() serivce in proc/bus/pci/*/*. Why not
> > > other  services offered though proc/bus/pci/ like config space read,
> > > /proc/bus/pci/devices etc
> > > 
> > > if a given platform not interested in proc fs  then disable through
> > > CONFIG_PROC_FS in defconfig. I don't understand the logic behind
> > > disabling partial services that proc fs exposes.
> > 
> > Disabling CONFIG_PROC_FS is not really an option for anybody.
> > 
> > The config space access may be something we should have disabled,
> > or it may not be, but I think it's too late to kill that off now,
> > as that would likely break something.
> > 
> > The mmap() support on those files is way uglier than the config
> > access, so as long as nobody absolutely requires it, we should
> > not add it to the list of things we can't get rid of again.
> 
> Completely agreed. IIRC, there's some unspeakable ioctl() magic to configure
> the memory type that the BARs are mapped with via the /proc interface and I
> *really* don't want that on arm64.

But do you think introducing a conditional compilation flag or weak
function or arch specific function to disable pci proc fs mmap support in
the generic code will be acceptable?

> Will